Caddy(8)

NAME
caddy-reload - Changes the config of the running Caddy instance

SYNOPSIS
caddy reload [flags]

DESCRIPTION
Gives the running Caddy instance a new configuration. This has the same effect as POSTing a document to the /load API endpoint, but is convenient for simple workflows revolving around config files.

Since the admin endpoint is configurable, the endpoint configuration is loaded from the --address flag if specified; otherwise it is loaded from the given config file; otherwise the default is assumed.

OPTIONS
--adapter=""
    Name of config adapter to apply

--address=""
    Address of the administration listener, if different from config

--config=""
    Configuration file (required)

--force[=false]
    Force config reload, even if it is the same

-h, --help[=false]
    help for reload

SEE ALSO
caddy(8)

HISTORY
18-Oct-2025 Auto generated by spf13/cobra